> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Redeem Voucher

POST TBD/business/gifts/redeem-voucher

Redeem Voucher API endpoint allows the user to redeem a specific voucher. The voucher's status will be updated in the system marking it as redeemed, and the system returns the details of the redeemed voucher including user and voucher information.

### Request Body

- `user_voucher_id` (string): The unique identifier of the voucher the user wants to redeem.
    
- `amount` (number): The amount of the voucher to be redeemed.
    

### Response

- `status` (number): The status indicates the successful redemption of a voucher (1 means success).
    

The user field in the response indicates the user who redeemed the voucher:

- `user` (object):
    
    - `user_id` (string): The unique identifier of the user.
        
    - `name` (string): The name of the user.
        
    - `username` (string): The username of the user.
        
    - `email` (string): The email address of the user.
        
    - And more fields providing details about the user.
        

The user_info field in the response provides additional details about the user:

- `user_info` (object):
    
    - `user_info_id` (string): The unique identifier of the user's information.
        
    - `user_id` (string): The unique identifier of the user.
        
    - `country_id` (number): The identifier of the user's country.
        
    - `currency_id` (number): The identifier of the user's currency.
        
    - `age` (number): The age of the user.
        
    - `gender` (string): The gender of the user.
        
    - And more fields providing further details about the user.
        

The userVoucher field in the response provides details about the redeemed voucher:

- `userVoucher` (object):
    
    - `user_voucher_id` (string): The unique identifier of the user's redeemed voucher.
        
    - `voucher_id` (string): The identifier of the voucher.
        
    - `barcode_id` (string): The identifier of the barcode associated with the voucher.
        
    - `user_receiver_id` (string): The identifier of the user who received the voucher.
        
    - `message` (string): A message related to the voucher.
        
    - `expiry_date` (string): The date when the voucher will expire.
        
    - And more fields providing further details about the voucher.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/gift-card-promotion/redeem-voucher

## Response

### 200

Redeem Voucher

- `message` (string, optional)
- `api` (boolean, optional)
- `status` (string, optional)
- `data` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaData

- `status` (integer, optional)
- `user` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUser, optional)
- `user_info` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserInfo, optional)
- `userVoucher` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucher, optional)
- `txn` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataTxn, optional)
- `amount` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUser

- `user_id` (string, optional)
- `name` (string, optional)
- `username` (string, optional)
- `email` (string, optional)
- `api_token` (string, optional)
- `role` (integer, optional)
- `status` (integer, optional)
- `merchant` (string, optional)
- `is_litt` (integer, optional)
- `parent_id` (any, optional, nullable)
- `parent_type` (any, optional, nullable)
- `type` (string, optional)
- `wallet_balance` (string, optional)
- `reward_point_balance` (integer, optional)
- `gold_coin_balance` (integer, optional)
- `loyalty_cash` (string, optional)
- `is_show_advt` (integer, optional)
- `autoplay` (integer, optional)
- `is_vip` (integer, optional)
- `is_local_hero` (integer, optional)
- `is_investor` (integer, optional)
- `verification_token` (any, optional, nullable)
- `forgot_password_token` (string, optional)
- `forgot_password_expiration` (string, optional)
- `otp_code` (any, optional, nullable)
- `login_type` (string, optional)
- `two_factor_code` (any, optional, nullable)
- `two_factor_expires_at` (any, optional, nullable)
- `sales_rep` (any, optional, nullable)
- `littland_referrer` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `deleted_at` (any, optional, nullable)
- `last_active` (string, optional)
- `last_in_app_otp` (string, optional)
- `failed_login` (integer, optional)
- `history_passwords` (string, optional)
- `flags` (string, optional)
- `user_image` (string, optional)
- `user_profiles` (list of any, optional)
- `user_info` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserUserInfo, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserInfo

- `user_info_id` (string, optional)
- `user_id` (string, optional)
- `country_id` (integer, optional)
- `currency_id` (integer, optional)
- `age` (integer, optional)
- `gender` (string, optional)
- `mobile_country_code` (string, optional)
- `mobile_number` (string, optional)
- `is_mobile_number_verified` (integer, optional)
- `whatsapp_otp_status` (integer, optional)
- `image_id` (string, optional)
- `profile_image` (any, optional, nullable)
- `profile_image_is_url` (integer, optional)
- `bio` (string, optional)
- `voice_bio` (string, optional)
- `background_image_id` (string, optional)
- `user_agent` (string, optional)
- `device_manufacturer` (any, optional, nullable)
- `device_model` (any, optional, nullable)
- `device_os` (any, optional, nullable)
- `device_os_version` (any, optional, nullable)
- `device_app_version` (any, optional, nullable)
- `deleted_at` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `created_sendgrid` (string, optional)
- `dob` (date, optional)
- `stripe_cust_id` (string, optional)
- `currency` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserInfoCurrency, optional)
- `user_image` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserInfoUserImage, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucher

- `user_voucher_id` (string, optional)
- `voucher_id` (string, optional)
- `barcode_id` (string, optional)
- `user_receiver_id` (string, optional)
- `message` (string, optional)
- `expiry_date` (string, optional)
- `delivery_date` (string, optional)
- `original_balance` (string, optional)
- `available_balance` (integer, optional)
- `bonus_amount` (string, optional)
- `bonus_percent` (string, optional)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `full_address` (string, optional)
- `address_1` (string, optional)
- `postcode` (string, optional)
- `city` (string, optional)
- `voucher` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucher, optional)
- `user_receiver` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserReceiver, optional)
- `user_buyer` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserBuyer, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataTxn

- `voucher_redemption_id` (string, optional)
- `merchant_id` (string, optional)
- `type` (string, optional)
- `amount` (string, optional)
- `commission_percentage` (string, optional)
- `loyalty_percentage` (string, optional)
- `loyalty_min_transaction` (string, optional)
- `loyalty_max_cashback` (string, optional)
- `commission_discount` (integer, optional)
- `commission` (integer, optional)
- `net` (integer, optional)
- `amount_in_native_cur` (string, optional)
- `exchanged_currency` (string, optional)
- `exchange_rate` (double, optional)
- `address` (string, optional)
- `updated_at` (string, optional)
- `created_at` (string, optional)
- `disbursement_id` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserUserInfo

- `user_info_id` (string, optional)
- `user_id` (string, optional)
- `country_id` (integer, optional)
- `currency_id` (integer, optional)
- `age` (integer, optional)
- `gender` (string, optional)
- `mobile_country_code` (string, optional)
- `mobile_number` (string, optional)
- `is_mobile_number_verified` (integer, optional)
- `whatsapp_otp_status` (integer, optional)
- `image_id` (string, optional)
- `profile_image` (any, optional, nullable)
- `profile_image_is_url` (integer, optional)
- `bio` (string, optional)
- `voice_bio` (string, optional)
- `background_image_id` (string, optional)
- `user_agent` (string, optional)
- `device_manufacturer` (any, optional, nullable)
- `device_model` (any, optional, nullable)
- `device_os` (any, optional, nullable)
- `device_os_version` (any, optional, nullable)
- `device_app_version` (any, optional, nullable)
- `deleted_at` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `created_sendgrid` (string, optional)
- `dob` (date, optional)
- `stripe_cust_id` (string, optional)
- `currency` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserUserInfoCurrency, optional)
- `user_image` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserUserInfoUserImage, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserInfoCurrency

- `id` (integer, optional)
- `name` (string, optional)
- `code` (string, optional)
- `code_symbol` (string, optional)
- `exchange_rate` (double, optional)
- `decimal_digits` (integer, optional)
- `rounding` (integer, optional)
- `status` (integer, optional)
- `is_base_currency` (boolean, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserInfoUserImage

- `version` (string, optional)
- `directory` (string, optional)
- `public_id` (string, optional)
- `format` (string, optional)
- `is_video` (string, optional)
- `width` (string, optional)
- `height` (string, optional)
- `cloudinary_status` (integer, optional)
- `order` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucher

- `voucher_id` (string, optional)
- `merchant_id` (string, optional)
- `image_id` (string, optional)
- `barcode_batch_id` (string, optional)
- `voucher_category_id` (string, optional)
- `country_id` (integer, optional)
- `currency_id` (integer, optional)
- `zone_id` (integer, optional)
- `city_id` (integer, optional)
- `name` (string, optional)
- `description` (string, optional)
- `balance_options` (string, optional)
- `is_universal` (integer, optional)
- `bonus_amount` (string, optional)
- `bonus_percent` (string, optional)
- `total_bonus_available` (string, optional)
- `total_bonus_remaining` (string, optional)
- `status` (string, optional)
- `validity_period` (integer, optional)
- `url` (string, optional)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `full_address` (string, optional)
- `currency` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherCurrency, optional)
- `merchant` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchant, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserReceiver

- `user_id` (string, optional)
- `name` (string, optional)
- `username` (string, optional)
- `email` (string, optional)
- `api_token` (string, optional)
- `role` (integer, optional)
- `status` (integer, optional)
- `merchant` (string, optional)
- `is_litt` (integer, optional)
- `parent_id` (any, optional, nullable)
- `parent_type` (any, optional, nullable)
- `type` (string, optional)
- `wallet_balance` (string, optional)
- `reward_point_balance` (integer, optional)
- `gold_coin_balance` (integer, optional)
- `loyalty_cash` (string, optional)
- `is_show_advt` (integer, optional)
- `autoplay` (integer, optional)
- `is_vip` (integer, optional)
- `is_local_hero` (integer, optional)
- `is_investor` (integer, optional)
- `verification_token` (any, optional, nullable)
- `forgot_password_token` (string, optional)
- `forgot_password_expiration` (string, optional)
- `otp_code` (any, optional, nullable)
- `login_type` (string, optional)
- `two_factor_code` (any, optional, nullable)
- `two_factor_expires_at` (any, optional, nullable)
- `sales_rep` (any, optional, nullable)
- `littland_referrer` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `deleted_at` (any, optional, nullable)
- `last_active` (string, optional)
- `last_in_app_otp` (string, optional)
- `failed_login` (integer, optional)
- `history_passwords` (string, optional)
- `flags` (string, optional)
- `user_image` (string, optional)
- `user_profiles` (list of any, optional)
- `user_info` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserReceiverUserInfo, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserBuyer

- `user_id` (string, optional)
- `name` (string, optional)
- `username` (string, optional)
- `email` (string, optional)
- `api_token` (string, optional)
- `role` (integer, optional)
- `status` (integer, optional)
- `merchant` (string, optional)
- `is_litt` (integer, optional)
- `parent_id` (any, optional, nullable)
- `parent_type` (any, optional, nullable)
- `type` (string, optional)
- `wallet_balance` (string, optional)
- `reward_point_balance` (integer, optional)
- `gold_coin_balance` (integer, optional)
- `loyalty_cash` (string, optional)
- `is_show_advt` (integer, optional)
- `autoplay` (integer, optional)
- `is_vip` (integer, optional)
- `is_local_hero` (integer, optional)
- `is_investor` (integer, optional)
- `verification_token` (any, optional, nullable)
- `forgot_password_token` (string, optional)
- `forgot_password_expiration` (string, optional)
- `otp_code` (any, optional, nullable)
- `login_type` (string, optional)
- `two_factor_code` (any, optional, nullable)
- `two_factor_expires_at` (any, optional, nullable)
- `sales_rep` (any, optional, nullable)
- `littland_referrer` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `deleted_at` (any, optional, nullable)
- `last_active` (string, optional)
- `last_in_app_otp` (string, optional)
- `failed_login` (integer, optional)
- `history_passwords` (string, optional)
- `flags` (string, optional)
- `user_image` (string, optional)
- `user_profiles` (list of any, optional)
- `user_info` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserBuyerUserInfo, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserUserInfoCurrency

- `id` (integer, optional)
- `name` (string, optional)
- `code` (string, optional)
- `code_symbol` (string, optional)
- `exchange_rate` (double, optional)
- `decimal_digits` (integer, optional)
- `rounding` (integer, optional)
- `status` (integer, optional)
- `is_base_currency` (boolean, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserUserInfoUserImage

- `version` (string, optional)
- `directory` (string, optional)
- `public_id` (string, optional)
- `format` (string, optional)
- `is_video` (string, optional)
- `width` (string, optional)
- `height` (string, optional)
- `cloudinary_status` (integer, optional)
- `order` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherCurrency

- `id` (integer, optional)
- `name` (string, optional)
- `code` (string, optional)
- `code_symbol` (string, optional)
- `exchange_rate` (double, optional)
- `decimal_digits` (integer, optional)
- `rounding` (integer, optional)
- `status` (integer, optional)
- `is_base_currency` (boolean, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchant

- `user_id` (string, optional)
- `name` (string, optional)
- `username` (string, optional)
- `email` (string, optional)
- `api_token` (string, optional)
- `role` (integer, optional)
- `status` (integer, optional)
- `merchant` (string, optional)
- `is_litt` (integer, optional)
- `parent_id` (any, optional, nullable)
- `parent_type` (any, optional, nullable)
- `type` (string, optional)
- `wallet_balance` (string, optional)
- `reward_point_balance` (integer, optional)
- `gold_coin_balance` (integer, optional)
- `loyalty_cash` (string, optional)
- `is_show_advt` (integer, optional)
- `autoplay` (integer, optional)
- `is_vip` (integer, optional)
- `is_local_hero` (integer, optional)
- `is_investor` (integer, optional)
- `verification_token` (any, optional, nullable)
- `forgot_password_token` (any, optional, nullable)
- `forgot_password_expiration` (any, optional, nullable)
- `otp_code` (any, optional, nullable)
- `login_type` (string, optional)
- `two_factor_code` (any, optional, nullable)
- `two_factor_expires_at` (any, optional, nullable)
- `sales_rep` (any, optional, nullable)
- `littland_referrer` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `deleted_at` (any, optional, nullable)
- `last_active` (any, optional, nullable)
- `last_in_app_otp` (any, optional, nullable)
- `failed_login` (integer, optional)
- `history_passwords` (string, optional)
- `flags` (string, optional)
- `user_image` (string, optional)
- `user_profiles` (list of any, optional)
- `user_info` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantUserInfo, optional)
- `merchant_info` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfo, optional)
- `bank_account` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantBankAccount, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserReceiverUserInfo

- `user_info_id` (string, optional)
- `user_id` (string, optional)
- `country_id` (integer, optional)
- `currency_id` (integer, optional)
- `age` (integer, optional)
- `gender` (string, optional)
- `mobile_country_code` (string, optional)
- `mobile_number` (string, optional)
- `is_mobile_number_verified` (integer, optional)
- `whatsapp_otp_status` (integer, optional)
- `image_id` (string, optional)
- `profile_image` (any, optional, nullable)
- `profile_image_is_url` (integer, optional)
- `bio` (string, optional)
- `voice_bio` (string, optional)
- `background_image_id` (string, optional)
- `user_agent` (string, optional)
- `device_manufacturer` (any, optional, nullable)
- `device_model` (any, optional, nullable)
- `device_os` (any, optional, nullable)
- `device_os_version` (any, optional, nullable)
- `device_app_version` (any, optional, nullable)
- `deleted_at` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `created_sendgrid` (string, optional)
- `dob` (date, optional)
- `stripe_cust_id` (string, optional)
- `currency` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserReceiverUserInfoCurrency, optional)
- `user_image` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserReceiverUserInfoUserImage, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserBuyerUserInfo

- `user_info_id` (string, optional)
- `user_id` (string, optional)
- `country_id` (integer, optional)
- `currency_id` (integer, optional)
- `age` (integer, optional)
- `gender` (string, optional)
- `mobile_country_code` (string, optional)
- `mobile_number` (string, optional)
- `is_mobile_number_verified` (integer, optional)
- `whatsapp_otp_status` (integer, optional)
- `image_id` (string, optional)
- `profile_image` (any, optional, nullable)
- `profile_image_is_url` (integer, optional)
- `bio` (string, optional)
- `voice_bio` (string, optional)
- `background_image_id` (string, optional)
- `user_agent` (string, optional)
- `device_manufacturer` (any, optional, nullable)
- `device_model` (any, optional, nullable)
- `device_os` (any, optional, nullable)
- `device_os_version` (any, optional, nullable)
- `device_app_version` (any, optional, nullable)
- `deleted_at` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `created_sendgrid` (string, optional)
- `dob` (date, optional)
- `stripe_cust_id` (string, optional)
- `user_image` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserBuyerUserInfoUserImage, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantUserInfo

- `user_info_id` (string, optional)
- `user_id` (string, optional)
- `country_id` (integer, optional)
- `currency_id` (integer, optional)
- `age` (integer, optional)
- `gender` (string, optional)
- `mobile_country_code` (string, optional)
- `mobile_number` (string, optional)
- `is_mobile_number_verified` (integer, optional)
- `whatsapp_otp_status` (integer, optional)
- `image_id` (string, optional)
- `profile_image` (any, optional, nullable)
- `profile_image_is_url` (integer, optional)
- `bio` (string, optional)
- `voice_bio` (any, optional, nullable)
- `background_image_id` (string, optional)
- `user_agent` (any, optional, nullable)
- `device_manufacturer` (any, optional, nullable)
- `device_model` (any, optional, nullable)
- `device_os` (any, optional, nullable)
- `device_os_version` (any, optional, nullable)
- `device_app_version` (any, optional, nullable)
- `deleted_at` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `created_sendgrid` (any, optional, nullable)
- `dob` (any, optional, nullable)
- `stripe_cust_id` (any, optional, nullable)
- `user_image` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantUserInfoUserImage, optional)
- `currency` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantUserInfoCurrency, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfo

- `id` (integer, optional)
- `merchant_id` (string, optional)
- `category` (string, optional)
- `email` (string, optional)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `company_name` (string, optional)
- `store_email` (string, optional)
- `country_id` (integer, optional)
- `state_id` (integer, optional)
- `city_id` (integer, optional)
- `postcode` (string, optional)
- `phone_code` (string, optional)
- `mobile_code` (string, optional)
- `mobile` (string, optional)
- `phone` (string, optional)
- `currency_id` (integer, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `billing_email` (string, optional)
- `billing_first_name` (string, optional)
- `billing_last_name` (string, optional)
- `billing_phone_code` (string, optional)
- `billing_mobile_code` (string, optional)
- `billing_phone` (string, optional)
- `billing_mobile` (string, optional)
- `billing_address1` (string, optional)
- `billing_address2` (string, optional)
- `billing_country_id` (integer, optional)
- `billing_state_id` (integer, optional)
- `billing_city_id` (integer, optional)
- `billing_postcode` (string, optional)
- `link_token` (string, optional)
- `pin` (string, optional)
- `online_store` (integer, optional)
- `advertise_only` (integer, optional)
- `franchise` (integer, optional)
- `in_shopping_centre` (integer, optional)
- `role` (any, optional, nullable)
- `same_as_profile_flag` (string, optional)
- `loyalty_rate` (string, optional)
- `loyalty_min_transaction` (string, optional)
- `loyalty_max_cashback` (string, optional)
- `loyalty_rate_manual` (integer, optional)
- `litt_pay_commission` (string, optional)
- `voucher_commission` (string, optional)
- `coupon_commission` (string, optional)
- `stripe_cust_id` (any, optional, nullable)
- `external_merchant_id` (string, optional)
- `xero_contact_id` (any, optional, nullable)
- `business_no` (string, optional)
- `product_tour` (integer, optional)
- `qr_code_image_id` (string, optional)
- `website_url` (string, optional)
- `fb_link` (string, optional)
- `tw_link` (string, optional)
- `insta_link` (string, optional)
- `ext_merchant_id_reminder_sent` (integer, optional)
- `created_by` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `city` (string, optional)
- `full_address` (string, optional)
- `state_name` (string, optional)
- `state_code` (string, optional)
- `country_name` (string, optional)
- `country_code` (string, optional)
- `billing_city_name` (string, optional)
- `billing_state_name` (string, optional)
- `billing_country_name` (string, optional)
- `city1` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoCity1, optional)
- `state` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoState, optional)
- `country` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoCountry, optional)
- `billing_city` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoBillingCity, optional)
- `billing_state` (BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoBillingState, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantBankAccount

- `id` (integer, optional)
- `merchant_id` (string, optional)
- `bank_name` (any, optional, nullable)
- `bsb` (string, optional)
- `holder_name` (string, optional)
- `account_number` (string, optional)
- `disbursement_frequency` (string, optional)
- `disbursement_minimum` (integer, optional)
- `created_at` (string, optional)
- `updated_at` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserReceiverUserInfoCurrency

- `id` (integer, optional)
- `name` (string, optional)
- `code` (string, optional)
- `code_symbol` (string, optional)
- `exchange_rate` (double, optional)
- `decimal_digits` (integer, optional)
- `rounding` (integer, optional)
- `status` (integer, optional)
- `is_base_currency` (boolean, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserReceiverUserInfoUserImage

- `version` (string, optional)
- `directory` (string, optional)
- `public_id` (string, optional)
- `format` (string, optional)
- `is_video` (string, optional)
- `width` (string, optional)
- `height` (string, optional)
- `cloudinary_status` (integer, optional)
- `order` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherUserBuyerUserInfoUserImage

- `version` (string, optional)
- `directory` (string, optional)
- `public_id` (string, optional)
- `format` (string, optional)
- `is_video` (string, optional)
- `width` (string, optional)
- `height` (string, optional)
- `cloudinary_status` (integer, optional)
- `order` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantUserInfoUserImage

- `version` (string, optional)
- `directory` (string, optional)
- `public_id` (string, optional)
- `format` (string, optional)
- `is_video` (string, optional)
- `width` (string, optional)
- `height` (string, optional)
- `cloudinary_status` (integer, optional)
- `order` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantUserInfoCurrency

- `id` (integer, optional)
- `name` (string, optional)
- `code` (string, optional)
- `code_symbol` (string, optional)
- `exchange_rate` (double, optional)
- `decimal_digits` (integer, optional)
- `rounding` (integer, optional)
- `status` (integer, optional)
- `is_base_currency` (boolean, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoCity1

- `id` (integer, optional)
- `city_name` (string, optional)
- `state_id` (integer, optional)
- `state_code` (string, optional)
- `country_id` (integer, optional)
- `country_code` (string, optional)
- `latitude` (string, optional)
- `longitude` (string, optional)
- `radius` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_on` (string, optional)
- `flag` (integer, optional)
- `wikiDataId` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoState

- `state_id` (integer, optional)
- `state_name` (string, optional)
- `local_name` (string, optional)
- `country_id` (integer, optional)
- `country_code` (string, optional)
- `fips_code` (string, optional)
- `iso2` (string, optional)
- `legal_age` (any, optional, nullable)
- `flag` (integer, optional)
- `wikiDataId` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoCountry

- `id` (integer, optional)
- `name` (string, optional)
- `iso3` (string, optional)
- `code` (string, optional)
- `phonecode` (integer, optional)
- `capital` (string, optional)
- `currency` (string, optional)
- `verification_method` (string, optional)
- `sms_from_number` (string, optional)
- `referer_credit` (string, optional)
- `referee_credit` (string, optional)
- `referral_currency` (string, optional)
- `legal_age` (integer, optional)
- `support_store_locator` (integer, optional)
- `support_gift_cards` (integer, optional)
- `support_wallet` (integer, optional)
- `support_payout` (integer, optional)
- `support_litt_visa` (integer, optional)
- `require_otp` (integer, optional)
- `flag` (integer, optional)
- `wikiDataId` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoBillingCity

- `id` (integer, optional)
- `city_name` (string, optional)
- `state_id` (integer, optional)
- `state_code` (string, optional)
- `country_id` (integer, optional)
- `country_code` (string, optional)
- `latitude` (string, optional)
- `longitude` (string, optional)
- `radius` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_on` (string, optional)
- `flag` (integer, optional)
- `wikiDataId` (string, optional)

### BusinessGiftsRedeemVoucherPostResponsesContentApplicationJsonSchemaDataUserVoucherVoucherMerchantMerchantInfoBillingState

- `state_id` (integer, optional)
- `state_name` (string, optional)
- `local_name` (string, optional)
- `country_id` (integer, optional)
- `country_code` (string, optional)
- `fips_code` (string, optional)
- `iso2` (string, optional)
- `legal_age` (any, optional, nullable)
- `flag` (integer, optional)
- `wikiDataId` (string, optional)

## Examples

**Response**

```json
{
  "message": "Rp10.00 has been deducted from the voucher",
  "api": true,
  "status": "success",
  "data": {
    "status": 1,
    "user": {
      "user_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
      "name": "Steven Yang 2",
      "username": "kokofoot",
      "email": "user@example.com",
      "api_token": "YOUR_API_TOKEN",
      "role": 0,
      "status": 1,
      "merchant": "0",
      "is_litt": 0,
      "parent_id": null,
      "parent_type": null,
      "type": "public",
      "wallet_balance": "399.06",
      "reward_point_balance": 181,
      "gold_coin_balance": 0,
      "loyalty_cash": "21.46",
      "is_show_advt": 1,
      "autoplay": 0,
      "is_vip": 0,
      "is_local_hero": 1,
      "is_investor": 0,
      "verification_token": null,
      "forgot_password_token": "7655afad07de7b797e9fb42d38379b",
      "forgot_password_expiration": "2023-01-16 07:52:18",
      "otp_code": null,
      "login_type": "local",
      "two_factor_code": null,
      "two_factor_expires_at": null,
      "sales_rep": null,
      "littland_referrer": null,
      "created_at": "2020-05-21 09:21:03",
      "updated_at": "2024-04-29 08:37:27",
      "deleted_at": null,
      "last_active": "2024-04-29 08:37:27",
      "last_in_app_otp": "2023-03-02 03:31:34",
      "failed_login": 0,
      "history_passwords": "",
      "flags": "creative",
      "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/profile/1b94e72e-0ac1-4b5f-8491-70ca256e5757.jpg",
      "user_profiles": [],
      "user_info": {
        "user_info_id": "19bc1219-5fdd-47f7-adcc-9a0893d901f9",
        "user_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
        "country_id": 14,
        "currency_id": 1,
        "age": 24,
        "gender": "male",
        "mobile_country_code": "61",
        "mobile_number": "0400000000",
        "is_mobile_number_verified": 1,
        "whatsapp_otp_status": 0,
        "image_id": "de0bbd66-1441-442d-9245-20bdb1b77aff",
        "profile_image": null,
        "profile_image_is_url": 0,
        "bio": "abc e\\uE8 \\uD83D\\uDE0D",
        "voice_bio": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/abc.mp4?x=0",
        "background_image_id": "1",
        "user_agent": "PostmanRuntime/7.37.3",
        "device_manufacturer": null,
        "device_model": null,
        "device_os": null,
        "device_os_version": null,
        "device_app_version": null,
        "deleted_at": null,
        "created_at": "2020-05-21 09:21:03",
        "updated_at": "2024-04-28 22:13:04",
        "created_sendgrid": "2021-04-12 04:38:41",
        "dob": "2000-01-01",
        "stripe_cust_id": "cus_PbdtmWZkVJ5l3g",
        "currency": {
          "id": 1,
          "name": "Australian Dollar",
          "code": "AUD",
          "code_symbol": "A$",
          "exchange_rate": 1.000001,
          "decimal_digits": 2,
          "rounding": 0,
          "status": 1,
          "is_base_currency": true
        },
        "user_image": {
          "version": "0",
          "directory": "profile",
          "public_id": "1353513e-28db-4c21-b022-3126cc25c830/profile/1b94e72e-0ac1-4b5f-8491-70ca256e5757.jpg",
          "format": "jpg",
          "is_video": "no",
          "width": "",
          "height": "",
          "cloudinary_status": 0,
          "order": null,
          "created_at": "2020-09-16 20:53:09",
          "updated_at": "2021-01-25 08:13:10"
        }
      }
    },
    "user_info": {
      "user_info_id": "19bc1219-5fdd-47f7-adcc-9a0893d901f9",
      "user_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
      "country_id": 14,
      "currency_id": 1,
      "age": 24,
      "gender": "male",
      "mobile_country_code": "61",
      "mobile_number": "0400000000",
      "is_mobile_number_verified": 1,
      "whatsapp_otp_status": 0,
      "image_id": "de0bbd66-1441-442d-9245-20bdb1b77aff",
      "profile_image": null,
      "profile_image_is_url": 0,
      "bio": "abc e\\uE8 \\uD83D\\uDE0D",
      "voice_bio": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/abc.mp4?x=0",
      "background_image_id": "1",
      "user_agent": "PostmanRuntime/7.37.3",
      "device_manufacturer": null,
      "device_model": null,
      "device_os": null,
      "device_os_version": null,
      "device_app_version": null,
      "deleted_at": null,
      "created_at": "2020-05-21 09:21:03",
      "updated_at": "2024-04-28 22:13:04",
      "created_sendgrid": "2021-04-12 04:38:41",
      "dob": "2000-01-01",
      "stripe_cust_id": "cus_PbdtmWZkVJ5l3g",
      "currency": {
        "id": 1,
        "name": "Australian Dollar",
        "code": "AUD",
        "code_symbol": "A$",
        "exchange_rate": 1.000001,
        "decimal_digits": 2,
        "rounding": 0,
        "status": 1,
        "is_base_currency": true
      },
      "user_image": {
        "version": "0",
        "directory": "profile",
        "public_id": "1353513e-28db-4c21-b022-3126cc25c830/profile/1b94e72e-0ac1-4b5f-8491-70ca256e5757.jpg",
        "format": "jpg",
        "is_video": "no",
        "width": "",
        "height": "",
        "cloudinary_status": 0,
        "order": null,
        "created_at": "2020-09-16 20:53:09",
        "updated_at": "2021-01-25 08:13:10"
      }
    },
    "userVoucher": {
      "user_voucher_id": "ca6fb965-ccb6-464b-849d-1ffd7662756e",
      "voucher_id": "14773aaa-16e4-44bd-919c-1e31d7a21ca1",
      "barcode_id": "a371afd4-45fc-11ed-a968-068dfc70fdd8",
      "user_receiver_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
      "message": "",
      "expiry_date": "2027-04-29 00:00:00",
      "delivery_date": "2024-04-29 00:00:00",
      "original_balance": "10000.00",
      "available_balance": 9990,
      "bonus_amount": "0.00",
      "bonus_percent": "0.00",
      "created_at": "2024-04-29 08:30:01",
      "updated_at": "2024-04-29 08:44:28",
      "full_address": "",
      "address_1": "",
      "postcode": "",
      "city": "",
      "voucher": {
        "voucher_id": "14773aaa-16e4-44bd-919c-1e31d7a21ca1",
        "merchant_id": "8e93cd90-69cf-44fe-a14b-4c19ae8eca4",
        "image_id": "7de155-cf33-4cca-a2d6-676a7cd37719",
        "barcode_batch_id": "ab98424d-8204-4727-b456-a82697fc1deg",
        "voucher_category_id": "57c7c416bc2bf",
        "country_id": 102,
        "currency_id": 9,
        "zone_id": 0,
        "city_id": 141465,
        "name": "Alfamart Voucher Rp10,000",
        "description": "\nHarap periksa apakah Anda telah memperbarui aplikasi LITT untuk menerima kode batang.\n\nMasa berlaku tanggal 6 Oktober 2022 sampai 6 Januari 2023\r\nVoucher dapat digunakan di toko Alfamart di seluruh Indonesia.\r\nVoucher tidak berlaku untuk pembelian produk kategori rokok, minyak goreng, susu (untuk usia dibawah 1 tahun).\r\n\r\nSyarat dan Ketentuan Voucher Alfamart Digital Untuk Pelanggan \r\n\r\n1.\tNilai voucher Alfamart : 10.000 \r\n2.\tMasa berlaku tanggal 6 Oktober 2022 sampai 6 Januari 2023\r\n3.\tVoucher tidak berlaku untuk pembelian produk kategori rokok, minyak goreng, susu (untuk usia dibawah 1 tahun).\r\n4.\tVoucher tidak dapat digunakan untuk pembelian / pembayaran layanan e-service seperti tagihan, tiket / reservasi, isi ulang /top up, pengiriman uang, token listrik dan produk virtual lainnya.\r\n5.\tVoucher dapat digunakan di toko Alfamart di seluruh Indonesia.\r\n6.\tPenggunaan 1 voucher per transaksi sesuai nilai voucher.\r\n7.\tVoucher tidak dapat ditukarkan atau dikembalikan dan jika pembelanjaan lebih besar nilai voucher harus dibayarkan dengan uang tunai.\r\n8.\tVoucher tidak dapat diperjualbelikan dan Alfamart tidak bertanggung jawab jika terjadi penyalahgunaan atas voucher.\r\n9.\tAlfamart berhak untuk menonaktifkan voucher jika terdapat penyalahgunaan atau kecurangan.\r\n10.\tJika ada kendala penggunaan voucher, dalam waktu maksimal tiga hari setelah kejadian silahkan menginformasikan ke kontak berikut:\r\na.\tNomor Telepon: +6221 1500959 (SahabatAlfamart) \r\nb. Email: user@example.com\r\n11.\tSyarat dan ketentuan dapat berubah sewaktu-waktu tanpa pemberitahuan terlebih dahulu sesuai kebijakan Alfamart.\r\n12.\tVoucher wajib ditunjukkan ke kasir toko Alfamart melalui aplikasi LITT.",
        "balance_options": "10000, 200000",
        "is_universal": 0,
        "bonus_amount": "0.00",
        "bonus_percent": "0.00",
        "total_bonus_available": "0.00",
        "total_bonus_remaining": "0.00",
        "status": "approved",
        "validity_period": 1095,
        "url": "",
        "created_at": "2022-10-05 07:44:18",
        "updated_at": "2022-10-05 07:52:57",
        "full_address": "Jalan Alam Sutera Boulevard, Pakualam, 15325, BT, Indonesia",
        "currency": {
          "id": 9,
          "name": "Indonesian rupiah",
          "code": "IDR",
          "code_symbol": "Rp",
          "exchange_rate": 10605.565909,
          "decimal_digits": 0,
          "rounding": 0,
          "status": 1,
          "is_base_currency": false
        },
        "merchant": {
          "user_id": "8e93cd90-69cf-44fe-a14b-4c19ae8eca4",
          "name": "Indo Demo",
          "username": "indom3",
          "email": "user@example.com",
          "api_token": "YOUR_API_TOKEN",
          "role": 0,
          "status": 1,
          "merchant": "1",
          "is_litt": 0,
          "parent_id": null,
          "parent_type": null,
          "type": "public",
          "wallet_balance": "0.00",
          "reward_point_balance": 0,
          "gold_coin_balance": 0,
          "loyalty_cash": "0.00",
          "is_show_advt": 1,
          "autoplay": 1,
          "is_vip": 0,
          "is_local_hero": 0,
          "is_investor": 0,
          "verification_token": null,
          "forgot_password_token": null,
          "forgot_password_expiration": null,
          "otp_code": null,
          "login_type": "local",
          "two_factor_code": null,
          "two_factor_expires_at": null,
          "sales_rep": null,
          "littland_referrer": null,
          "created_at": "2022-06-09 05:17:36",
          "updated_at": "2023-06-08 03:03:41",
          "deleted_at": null,
          "last_active": null,
          "last_in_app_otp": null,
          "failed_login": 0,
          "history_passwords": "",
          "flags": "",
          "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/image/3f8f8081-7099-48eb-be06-2c31e997d37.jpg",
          "user_profiles": [],
          "user_info": {
            "user_info_id": "b8e12c6d-23e4-4281-bcb2-eb22c7f656f9",
            "user_id": "8e93cd90-69cf-44fe-a14b-4c19ae8eca4",
            "country_id": 102,
            "currency_id": 9,
            "age": 20,
            "gender": "prefer not to say",
            "mobile_country_code": "62",
            "mobile_number": "3333333335",
            "is_mobile_number_verified": 1,
            "whatsapp_otp_status": 0,
            "image_id": "e10c6f5d-e88-4f04-8037-404e2653ae00",
            "profile_image": null,
            "profile_image_is_url": 0,
            "bio": "Grocery store description",
            "voice_bio": null,
            "background_image_id": "1",
            "user_agent": null,
            "device_manufacturer": null,
            "device_model": null,
            "device_os": null,
            "device_os_version": null,
            "device_app_version": null,
            "deleted_at": null,
            "created_at": "2022-06-09 05:17:36",
            "updated_at": "2023-06-08 03:03:41",
            "created_sendgrid": null,
            "dob": null,
            "stripe_cust_id": null,
            "user_image": {
              "version": "0",
              "directory": "image",
              "public_id": "1353513e-28db-4c21-b022-3126cc25c830/image/3f8f8081-7099-48eb-be06-2c31e997d37.jpg",
              "format": "jpg",
              "is_video": "no",
              "width": "",
              "height": "",
              "cloudinary_status": 0,
              "order": null,
              "created_at": "2022-06-09 05:57:10",
              "updated_at": "2022-06-09 05:57:10"
            },
            "currency": {
              "id": 9,
              "name": "Indonesian rupiah",
              "code": "IDR",
              "code_symbol": "Rp",
              "exchange_rate": 10605.565909,
              "decimal_digits": 0,
              "rounding": 0,
              "status": 1,
              "is_base_currency": false
            }
          },
          "merchant_info": {
            "id": 1660,
            "merchant_id": "8e93cd90-69cf-44fe-a14b-4c19ae8eca4",
            "category": "57c7c416bc2bf",
            "email": "user@example.com",
            "first_name": "aaa",
            "last_name": "aaa",
            "company_name": "indom3",
            "store_email": "user@example.com",
            "country_id": 102,
            "state_id": 1810,
            "city_id": 141465,
            "postcode": "15325",
            "phone_code": "62",
            "mobile_code": "62",
            "mobile": "3333333335",
            "phone": "3333333335",
            "currency_id": 9,
            "address1": "Jalan Alam Sutera Boulevard",
            "address2": "",
            "billing_email": "user@example.com",
            "billing_first_name": "aaa",
            "billing_last_name": "aaa",
            "billing_phone_code": "62",
            "billing_mobile_code": "62",
            "billing_phone": "3333333335",
            "billing_mobile": "3333333335",
            "billing_address1": "Jalan Alam Sutera Boulevard",
            "billing_address2": "",
            "billing_country_id": 102,
            "billing_state_id": 1810,
            "billing_city_id": 141465,
            "billing_postcode": "15325",
            "link_token": "YOUR_LINK_TOKEN",
            "pin": "927768",
            "online_store": 0,
            "advertise_only": 0,
            "franchise": 0,
            "in_shopping_centre": 0,
            "role": null,
            "same_as_profile_flag": "",
            "loyalty_rate": "0.00",
            "loyalty_min_transaction": "0.00",
            "loyalty_max_cashback": "0.00",
            "loyalty_rate_manual": 0,
            "litt_pay_commission": "0.00",
            "voucher_commission": "0.00",
            "coupon_commission": "0.00",
            "stripe_cust_id": null,
            "external_merchant_id": "123456789",
            "xero_contact_id": null,
            "business_no": "12345678912",
            "product_tour": 0,
            "qr_code_image_id": "32fa4877-80e9-4b34-aed1-1c74ec79dab2",
            "website_url": "",
            "fb_link": "",
            "tw_link": "",
            "insta_link": "",
            "ext_merchant_id_reminder_sent": 0,
            "created_by": null,
            "created_at": "2022-06-09 05:57:06",
            "updated_at": "2024-03-13 02:44:49",
            "city": "Pakualam",
            "full_address": "Jalan Alam Sutera Boulevard, Pakualam, 15325, BT, Indonesia",
            "state_name": "Banten",
            "state_code": "BT",
            "country_name": "Indonesia",
            "country_code": "ID",
            "billing_city_name": "Pakualam",
            "billing_state_name": "Banten",
            "billing_country_name": "Indonesia",
            "city1": {
              "id": 141465,
              "city_name": "Pakualam",
              "state_id": 1810,
              "state_code": "BT",
              "country_id": 102,
              "country_code": "ID",
              "latitude": "0.00000000",
              "longitude": "0.00000000",
              "radius": null,
              "created_at": "2013-12-31 19:31:01",
              "updated_on": "2022-06-20 01:11:47",
              "flag": 1,
              "wikiDataId": "0"
            },
            "state": {
              "state_id": 1810,
              "state_name": "Banten",
              "local_name": "Banten",
              "country_id": 102,
              "country_code": "ID",
              "fips_code": "33",
              "iso2": "BT",
              "legal_age": null,
              "flag": 1,
              "wikiDataId": "Q3540"
            },
            "country": {
              "id": 102,
              "name": "Indonesia",
              "iso3": "IDN",
              "code": "ID",
              "phonecode": 62,
              "capital": "Jakarta",
              "currency": "IDR",
              "verification_method": "sms",
              "sms_from_number": "LITT",
              "referer_credit": "5.00",
              "referee_credit": "5.00",
              "referral_currency": "AUD",
              "legal_age": 18,
              "support_store_locator": 1,
              "support_gift_cards": 1,
              "support_wallet": 1,
              "support_payout": 0,
              "support_litt_visa": 0,
              "require_otp": 0,
              "flag": 1,
              "wikiDataId": "Q252"
            },
            "billing_city": {
              "id": 141465,
              "city_name": "Pakualam",
              "state_id": 1810,
              "state_code": "BT",
              "country_id": 102,
              "country_code": "ID",
              "latitude": "0.00000000",
              "longitude": "0.00000000",
              "radius": null,
              "created_at": "2013-12-31 19:31:01",
              "updated_on": "2022-06-20 01:11:47",
              "flag": 1,
              "wikiDataId": "0"
            },
            "billing_state": {
              "state_id": 1810,
              "state_name": "Banten",
              "local_name": "Banten",
              "country_id": 102,
              "country_code": "ID",
              "fips_code": "33",
              "iso2": "BT",
              "legal_age": null,
              "flag": 1,
              "wikiDataId": "Q3540"
            }
          },
          "bank_account": {
            "id": 66,
            "merchant_id": "8e93cd90-69cf-44fe-a14b-4c19ae8eca4",
            "bank_name": null,
            "bsb": "AGRONIAGA",
            "holder_name": "Afgsg ahaha",
            "account_number": "155515151561",
            "disbursement_frequency": "weekly",
            "disbursement_minimum": 250000,
            "created_at": "2023-06-08 03:03:41",
            "updated_at": "2023-06-08 03:03:41"
          }
        }
      },
      "user_receiver": {
        "user_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
        "name": "Steven Yang 2",
        "username": "kokofoot",
        "email": "user@example.com",
        "api_token": "YOUR_API_TOKEN",
        "role": 0,
        "status": 1,
        "merchant": "0",
        "is_litt": 0,
        "parent_id": null,
        "parent_type": null,
        "type": "public",
        "wallet_balance": "399.06",
        "reward_point_balance": 181,
        "gold_coin_balance": 0,
        "loyalty_cash": "21.46",
        "is_show_advt": 1,
        "autoplay": 0,
        "is_vip": 0,
        "is_local_hero": 1,
        "is_investor": 0,
        "verification_token": null,
        "forgot_password_token": "7655afad07de7b797e9fb42d38379b",
        "forgot_password_expiration": "2023-01-16 07:52:18",
        "otp_code": null,
        "login_type": "local",
        "two_factor_code": null,
        "two_factor_expires_at": null,
        "sales_rep": null,
        "littland_referrer": null,
        "created_at": "2020-05-21 09:21:03",
        "updated_at": "2024-04-29 08:37:27",
        "deleted_at": null,
        "last_active": "2024-04-29 08:37:27",
        "last_in_app_otp": "2023-03-02 03:31:34",
        "failed_login": 0,
        "history_passwords": "",
        "flags": "creative",
        "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/profile/1b94e72e-0ac1-4b5f-8491-70ca256e5757.jpg",
        "user_profiles": [],
        "user_info": {
          "user_info_id": "19bc1219-5fdd-47f7-adcc-9a0893d901f9",
          "user_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
          "country_id": 14,
          "currency_id": 1,
          "age": 24,
          "gender": "male",
          "mobile_country_code": "61",
          "mobile_number": "0400000000",
          "is_mobile_number_verified": 1,
          "whatsapp_otp_status": 0,
          "image_id": "de0bbd66-1441-442d-9245-20bdb1b77aff",
          "profile_image": null,
          "profile_image_is_url": 0,
          "bio": "abc e\\uE8 \\uD83D\\uDE0D",
          "voice_bio": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/abc.mp4?x=0",
          "background_image_id": "1",
          "user_agent": "PostmanRuntime/7.37.3",
          "device_manufacturer": null,
          "device_model": null,
          "device_os": null,
          "device_os_version": null,
          "device_app_version": null,
          "deleted_at": null,
          "created_at": "2020-05-21 09:21:03",
          "updated_at": "2024-04-28 22:13:04",
          "created_sendgrid": "2021-04-12 04:38:41",
          "dob": "2000-01-01",
          "stripe_cust_id": "cus_PbdtmWZkVJ5l3g",
          "currency": {
            "id": 1,
            "name": "Australian Dollar",
            "code": "AUD",
            "code_symbol": "A$",
            "exchange_rate": 1.000001,
            "decimal_digits": 2,
            "rounding": 0,
            "status": 1,
            "is_base_currency": true
          },
          "user_image": {
            "version": "0",
            "directory": "profile",
            "public_id": "1353513e-28db-4c21-b022-3126cc25c830/profile/1b94e72e-0ac1-4b5f-8491-70ca256e5757.jpg",
            "format": "jpg",
            "is_video": "no",
            "width": "",
            "height": "",
            "cloudinary_status": 0,
            "order": null,
            "created_at": "2020-09-16 20:53:09",
            "updated_at": "2021-01-25 08:13:10"
          }
        }
      },
      "user_buyer": {
        "user_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
        "name": "Steven Yang 2",
        "username": "kokofoot",
        "email": "user@example.com",
        "api_token": "YOUR_API_TOKEN",
        "role": 0,
        "status": 1,
        "merchant": "0",
        "is_litt": 0,
        "parent_id": null,
        "parent_type": null,
        "type": "public",
        "wallet_balance": "399.06",
        "reward_point_balance": 181,
        "gold_coin_balance": 0,
        "loyalty_cash": "21.46",
        "is_show_advt": 1,
        "autoplay": 0,
        "is_vip": 0,
        "is_local_hero": 1,
        "is_investor": 0,
        "verification_token": null,
        "forgot_password_token": "7655afad07de7b797e9fb42d38379b",
        "forgot_password_expiration": "2023-01-16 07:52:18",
        "otp_code": null,
        "login_type": "local",
        "two_factor_code": null,
        "two_factor_expires_at": null,
        "sales_rep": null,
        "littland_referrer": null,
        "created_at": "2020-05-21 09:21:03",
        "updated_at": "2024-04-29 08:37:27",
        "deleted_at": null,
        "last_active": "2024-04-29 08:37:27",
        "last_in_app_otp": "2023-03-02 03:31:34",
        "failed_login": 0,
        "history_passwords": "",
        "flags": "creative",
        "user_image": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/profile/1b94e72e-0ac1-4b5f-8491-70ca256e5757.jpg",
        "user_profiles": [],
        "user_info": {
          "user_info_id": "19bc1219-5fdd-47f7-adcc-9a0893d901f9",
          "user_id": "2ef350a0-f8cd-4730-8e29-9b5fc5db0ada",
          "country_id": 14,
          "currency_id": 1,
          "age": 24,
          "gender": "male",
          "mobile_country_code": "61",
          "mobile_number": "0400000000",
          "is_mobile_number_verified": 1,
          "whatsapp_otp_status": 0,
          "image_id": "de0bbd66-1441-442d-9245-20bdb1b77aff",
          "profile_image": null,
          "profile_image_is_url": 0,
          "bio": "abc e\\uE8 \\uD83D\\uDE0D",
          "voice_bio": "https://litt-ap-southeast-2-dev.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/abc.mp4?x=0",
          "background_image_id": "1",
          "user_agent": "PostmanRuntime/7.37.3",
          "device_manufacturer": null,
          "device_model": null,
          "device_os": null,
          "device_os_version": null,
          "device_app_version": null,
          "deleted_at": null,
          "created_at": "2020-05-21 09:21:03",
          "updated_at": "2024-04-28 22:13:04",
          "created_sendgrid": "2021-04-12 04:38:41",
          "dob": "2000-01-01",
          "stripe_cust_id": "cus_PbdtmWZkVJ5l3g",
          "user_image": {
            "version": "0",
            "directory": "profile",
            "public_id": "1353513e-28db-4c21-b022-3126cc25c830/profile/1b94e72e-0ac1-4b5f-8491-70ca256e5757.jpg",
            "format": "jpg",
            "is_video": "no",
            "width": "",
            "height": "",
            "cloudinary_status": 0,
            "order": null,
            "created_at": "2020-09-16 20:53:09",
            "updated_at": "2021-01-25 08:13:10"
          }
        }
      }
    },
    "txn": {
      "voucher_redemption_id": "535e9d8-1da7-488f-ae07-780276b05aea",
      "merchant_id": "8e93cd90-69cf-44fe-a14b-4c19ae8eca4",
      "type": "qr_code",
      "amount": "10",
      "commission_percentage": "0.00",
      "loyalty_percentage": "0.00",
      "loyalty_min_transaction": "0.00",
      "loyalty_max_cashback": "0.00",
      "commission_discount": 0,
      "commission": 0,
      "net": 10,
      "amount_in_native_cur": "10",
      "exchanged_currency": "IDRIDR",
      "exchange_rate": 10605.565909,
      "address": "Jalan Alam Sutera Boulevard",
      "updated_at": "2024-04-29 08:44:30",
      "created_at": "2024-04-29 08:44:28",
      "disbursement_id": "b9829d8c-d8e2-4ba5-b557-c786a1eeb007"
    },
    "amount": "Rp10.00"
  }
}
```

**SDK Code**

```python Gift Card & Promotion_redeemVoucher_example
import requests

url = "https://tbd/business/gifts/redeem-voucher"

response = requests.post(url)

print(response.json())
```

```javascript Gift Card & Promotion_redeemVoucher_example
const url = 'https://tbd/business/gifts/redeem-voucher';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Gift Card & Promotion_redeemVoucher_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/business/gifts/redeem-voucher"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Gift Card & Promotion_redeemVoucher_example
require 'uri'
require 'net/http'

url = URI("https://tbd/business/gifts/redeem-voucher")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java Gift Card & Promotion_redeemVoucher_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/business/gifts/redeem-voucher")
  .asString();
```

```php Gift Card & Promotion_redeemVoucher_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/business/gifts/redeem-voucher');

echo $response->getBody();
```

```csharp Gift Card & Promotion_redeemVoucher_example
using RestSharp;

var client = new RestClient("https://tbd/business/gifts/redeem-voucher");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift Gift Card & Promotion_redeemVoucher_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/business/gifts/redeem-voucher")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```